Subject: Re: bug#51826: qt packages (e.g. pcmanfm-qt) missing wayland qt module

From: Josselin Poiret <[email-masked]>
Date: Thu, 02 Feb 2023 18:19:38 +0100

Hi Genevieve,

Genevieve via Bug reports for GNU Guix <[email-masked]> writes:

> Additionally, searching for qtwayland files in my guix profile only finds
> license files in ~/.guix-profile/share/doc/qtwayland-6.3.1/...

We now have qtwayland@6 as well, so by default guix will consider
qtwayland to be qtwayland@6.  I'd say you need to put qtwayland@5 in the
above shell incantation. This is definitely something that we should fix
on core-updates, to have qtbase always include the corresponding
qtwayland.

Best,
-- 
Josselin Poiret